#1 - 08/10/2012 01:13 AM - Eric Faulhaber

The content for these slides will come from the accumulators.odt chapter of the P2J Conversion Reference.

The slides filename in Bazaar (in the p2j_training/developer1/ project) should be accumulators.odp.

Please note that I have not yet had a chance to review this chapter, so if you see something that looks questionable, please ask about it.  Constantin

will be able to answer questions as well;  he is the author of the chapter and is largely responsible for the implementation of the accumulator support

in P2J.

#2 - 08/17/2012 02:51 AM - Adrian Lungu

- Status changed from New to WIP

#3 - 08/17/2012 12:37 PM - Adrian Lungu

- % Done changed from 0 to 40

First (incomplete) version commited to bazaar.

#4 - 08/22/2012 03:54 PM - Adrian Lungu

- % Done changed from 40 to 70

#5 - 08/23/2012 01:05 PM - Adrian Lungu

- Status changed from WIP to Review

- % Done changed from 70 to 90

finished all slides.

committed into bazaar.

#6 - 08/24/2012 02:17 AM - Adrian Lungu

Following are some of the texts from the accumulators.odt document that should be reviewed:
page1: "although in some terms this simplification might indicated that writing ..." ->

       "although in some terms this simplification might indicate that writing ..." 

page1: "complex expressions, which combine variables, constants and field." ->

       "complex expressions, which combine variables, constants and a field." (or "fields")

page7: "Countccumulator()" ->

       "CountAccumulator()" 

page7: "When a complex expression is involved, it will be ignored, as it doesn't need to evaluate it." ->

       "When a complex expression is involved, it will be ignored, as it doesn't need to be evaluated." 

page9: "the other statements get converter." ->

       "the other statements get converted." 

page18: "that each expression may have specified more than one aggregator" ->

        "that each expression may have more than one aggregator specified" 

page20: "the converted rules emit the ..." ->

        "the conversion rules emit the ..." (2 times)

page23: "Note how code is emitted only for the first ACCUMULATE statement." ->

        "Note how the code is emitted only for the first ACCUMULATE statement." 

page 34 (in the Syntax box): "ACCUMULATE" ->

                             "ACCUM" 

page 35: "AverageACcumulator" ->

         "AverageAccumulator" 

page 35: "these section will not " ->

         "this section will not" 

page 35 (Example 1): "Converted code" ->

                     "Conversion result" 

PAGE 39 (duplicate): "the accumulated result in the parent" ->

                     "" 

page 40: "This will the accumulator reset" ->

         "This reset the accumulator" 

page 43: "The difference between this and example #3" ->

         "The difference between this and example #2" 

page 46: "will be accumulated in all parent block which refer the same accumulator" ->

         "will be accumulated in all parent blocks which refer the same accumulator" 

page 48: "In this case, both MESSAGE statements will always display the accumulated result from block B2.  Thi

s is because," ->

         "Both MESSAGE statements will always display the accumulated result from block B2 since," 

page 50: "will set special some flags" ->

         "will set some special flags" 

page 50: "and it should accordingly" ->

         "and it should act accordingly" 

page 62: "can be used only as along as the procedure is executed" ->

         "can be used only as long as the procedure is executed" 
#7 - 08/27/2012 12:06 AM - Eric Faulhaber

Please make all the changes suggested in the previous update, except the change for page 46 should be:

"will be accumulated in all parent block which refer the same accumulator" ->

"will be accumulated in all parent blocks which reference the same accumulator"

#8 - 08/27/2012 03:06 AM - Adrian Lungu

committed text changes into bazaar
